# class Blather::MUC::Admin::Members

<iq from='crone1@shakespeare.lit/desktop'

      id='member3'
      to='darkcave@chat.shakespeare.lit'
      type='get'>
    <query xmlns='http://jabber.org/protocol/muc#admin'>
      <item affiliation='member'/>
    </query>

</iq>

### Public Class Methods

new(*args) click to toggle source
Calls superclass method `Blather::MUC::Admin::new`

    # File lib/gxg/net_clients.rb, line 411
    def self.new(*args)
      query = super(:get, *args)
      query.create_item
      query
    end

### Public Instance Methods

create_item() click to toggle source

    # File lib/gxg/net_clients.rb, line 417
    def create_item # @private
      unless create_item = query.find_first('ns:item', :ns => self.class.registered_ns)
        query << (create_item = XMPPNode.new('item', self.document))
        create_item[:affiliation] = 'member'
      end
      create_item
    end